<template lang="pug">
  div(id="root")
    label D20
    input(disabled v-model="value")
    button(@click="rool") Roll!
</template>

<script>
export default {
  data () {
    return {
      value: null
    }
  },
  methods: {
    getRandomInteger (min, max) {
      return Math.round(Math.random() * (max - min) + min)
    },
    d20 () {
      return this.getRandomInteger(0, 20)
    },
    rool () {
      this.value = this.d20()
    }
  }
}
</script>

<style lang="sass" scoped>
#root
  display: flex
  flex-direction: column
  input, label
    text-align: center
</style>

